# Get document

Retrieve the originally uploaded document content.
The returned content is **exactly** the same as the originally uploaded file.
Note: On success, the server response does **not** include a filename header; the client must decide a filename.

Endpoint: GET /documents/{document-id}/
Version: 1.0
Security: AuthToken

## Security:

  - `AuthToken` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `document-id` (string, required)
    Unique document identifier returned by upload (hexadecimal)

## Response 200:

  - `200` (unknown)
    Original document bytes

## Response 401:

  - `401` (unknown)
    Unauthorized (invalid or missing token)

## Response 401 fields (application/json):

  - `title` (string)

  - `description` (string)

  - `code` (string)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Resource not found (document expired/missing or wrong id)

## Response 404 fields (application/json):

  - `code` (string, required)
    Example: 404 Not Found

  - `description` (string)

## Response 401 examples:

  - `invalidToken` (unknown)

## Response 404 examples:

  - `notFound` (unknown)

